| Home | Libraries | People | FAQ | More

## Global _n

boost::xpressive::_n — Matches a literal newline character, '\n'.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    proto::terminal< char >::type const _n;

## Description

'_n' matches a single newline character, '\n'. Use ~_n to match a character that is not a newline.

| Note
~_n is like '.' in perl without the /s modifier.